Package com.xebialabs.xlrelease.configuration

# Class TriggerDataPurgeSettings

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.domain.BaseSettings
com.xebialabs.xlrelease.configuration.TriggerDataPurgeSettings

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(root=CONFIGURATION, versioned=false, label="Triggers data purging", description="Release will use these settings to purge trigger execution data.") public class TriggerDataPurgeSettings extends BaseSettings

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TRIGGER_DATA_PURGE_SETTINGS_ID`

  ### Fields inherited from class com.xebialabs.xlrelease.domain.BaseSettings

  `BASE_ID`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TriggerDataPurgeSettings()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `Integer`
  `getTriggersDataPurgeAgeThreshold()`
  `int`
  `hashCode()`
  `boolean`
  `isEnabled()`
  `void`
  `setEnabled(boolean enabled)`
  `void`
  `setTriggersDataPurgeAgeThreshold(Integer triggersDataPurgeAgeThreshold)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getFolderId, getTitle, hasId, isSupportedOn, setFolderId, setTitle`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TRIGGER_DATA_PURGE_SETTINGS_ID

    public static final String TRIGGER_DATA_PURGE_SETTINGS_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TriggerDataPurgeSettings

    public TriggerDataPurgeSettings()

- ## Method Details

  - ### isEnabled

    public boolean isEnabled()

  - ### setEnabled

    public void setEnabled(boolean enabled)

  - ### getTriggersDataPurgeAgeThreshold

    public Integer getTriggersDataPurgeAgeThreshold()

  - ### setTriggersDataPurgeAgeThreshold

    public void setTriggersDataPurgeAgeThreshold(Integer triggersDataPurgeAgeThreshold)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `BaseConfigurationItem`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `BaseConfigurationItem`